ServerEvents.recipes(event => {
    event.remove({ output: 'integrateddynamics:mechanical_drying_basin' })
    event.shaped(
        Item.of('integrateddynamics:mechanical_drying_basin'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'minecraft:obsidian',
            B: Item.of('integrateddynamics:energy_battery'),
            C: 'integrateddynamics:drying_basin',
            D: 'immersiveengineering:furnace_heater'
        }
    )
    event.remove({ output: 'integrateddynamics:variable' })
    event.shaped(
        Item.of('integrateddynamics:variable',4),
        [
            'ABA',
            'BBB',
            'ABA'
        ],
        {
            A: 'integrateddynamics:crystalized_menril_chunk',
            B: 'minecraft:paper'
        }
    )
})